<?php
/* SVN FILE: $Id$ */
/**
 * PluginNX
 *
 * PHP versions 5
 *
 *      hitSuji : Social Network Service <http://rakuto.net/rktSNS/>
 *      Copyright (c) 2008 Yujiro Takahashi
 *
 * Licensed under The MIT License
 * Redistributions of files must retain the above copyright notice.
 *
 * @filesource
 * @package         hitSuji
 * @copyright       Copyright (c) 2008 Yujiro Takahashi
 * @link            http://rakuto.net/
 * @author          Yujiro Takahashi <yujiro@rakuto.net>
 * @version         $Revision$
 * @modifiedby      $LastChangedBy$
 * @lastmodified    $Date$
 * @license         http://opensource.org/licenses/mit-license.php The MIT License
 */

/**
 * PluginNX
 *
 * @category        Plugin
 * @package         hitSuji
 * @copyright       Copyright (c) 2008 Yujiro Takahashi
 * @link            http://rakuto.net/
 * @author          Yujiro Takahashi <yujiro@rakuto.net>
 * @version         $Revision$
 * @modifiedby      $LastChangedBy$
 * @lastmodified    $Date$
 * @license         http://opensource.org/licenses/mit-license.php The MIT License
 */
class {$plugin_key} extends RKT_plugin
{
    /**
     * o^ς
     * @var array
     */
    public $registered = null;
    
    /**
     * RXgN^
     *
     * @access public
     * @return void
     */
    public function __construct()
    {
    }

    /**
     * b`GfB^[{^ǉpJavaScript
     *
     * Example:
     * <code>
     * ?>
     * var imgConfig = {
     *     type: 'push', label: 'Bold CTRL + SHIFT + B', value: 'bold'
     * };
     * myEditor.toolbar.addButtonToGroup(imgConfig, 'Bold');
     * <?php
     * </code>
     *
     * @access public
     * @return string
     * @link   http://developer.yahoo.com/yui/editor/
     */
    public function editorAddButtonJs()
    {
        return '';
    }

    /**
     * b`GfB^[pCSS
     *
     * Example:
     * <code>
     * ?>
     * .yui-skin-sam .yui-toolbar-container .yui-toolbar-insertscript span.yui-toolbar-icon {
     *     background-image: url( <?php e(BASE_URL); ?>resource/img/icons/script_code.gif );
     *     background-position: 1px 0px;
     *     left: 5px;
     * }
     * #insertscript {
     *     border:1px solid #808080;
     *     padding:5px;
     *     background-color: #F2F2F2;
     * }
     * #insertscript a {
     *     display: block;
     *     float: left;
     *     border: 1px solid #F2F2F2;
     * }
     * #insertscript a:hover {
     *     border: 1px solid #808080;
     * }
     * <?php
     * </code>
     *
     * @access public
     * @return string
     * @link   http://developer.yahoo.com/yui/editor/
     */
    public function editorCss()
    {
    }

    /**
     * b`GfB^[pJavaScript
     *
     * Example:
     * <code>
     * ?>
     * YAHOO.util.Event.onAvailable('insKao', function() {
     *     YAHOO.util.Event.on('kao', 'click', function(ev) {
     *         myEditor.execCommand('inserthtml', '(+_+)');
     *         YAHOO.util.Event.stopEvent(ev);
     *     }, myEditor, true);
     * });
     * <?php
     * </code>
     *
     * @access public
     * @return void
     * @link   http://developer.yahoo.com/yui/editor/
     */
    public function editorJavaScript()
    {
    }

    /**
     * GfB^[pHTML BODYo̓GtFNg
     *
     * @access public
     * @parmas string $value
     * @return string
     */
    public function outputEditorBody($string)
    {
        return $string;
    }

    /**
     * HTML BODYo͗pGtFNg
     *
     * Example:
     * <code>
     * public function outputEditorLoadJs()
     * {
     *     RKT_View::getInstance()->addJavas('yui/element/element-beta-min.js');
     * }
     * </code>
     *
     * @access public
     * @return void
     */
    public function outputEditorLoadJs()
    {
    }

    /**
     * o͎ւ̃tB^[
     *
     * @access public
     * @parmas string $value
     * @parmas string $mime_type
     * @return string
     */
    public function outputFilter($body, $mime_type)
    {
        return $body;
    }

    /**
     * HTML BODYo͗pGtFNg
     *
     * @access public
     * @parmas string $value
     * @return string
     */
    public function outputHtmlBody($string)
    {
        return $string;
    }

    /**
     * vtB[j[
     *
     * Example:
     * <code>
     * ?>
     * <li><a href="<?php e(HTTP_ACTION); ?>plugin/hitsuji/mobile/view/<?php e($ref_account); ?>/">
     *     <img src="<?php e(BASE_URL); ?>resource/img/icons/phone.gif" width="16" height="16" align="absmiddle" alt="&gt;" />
     *     &nbsp;<?php _e('eMoji'); ?></a>
     * </li>
     * <?php
     * </code>
     *
     * @access public
     * @parmas integer $ref_account
     * @parmas integer $ref_member
     * @return void
     */
    public function profileMenu($ref_account, $ref_member)
    {
    }

    /**
     * gїpvtB[j[
     *
     * Example:
     * <code>
     * ?>
     * <a href="<?php e(HTTP_ACTION); ?>plugin/hitsuji/mobile/view/<?php e($ref_account); ?>/">
     * <img src="<?php e(BASE_URL); ?>resource/img/icons/phone.gif" width="16" height="16" alt="&gt;">
     * &nbsp;<?php _e('eMoji'); ?></a><br>
     * <?php
     * </code>
     *
     * @access public
     * @parmas integer $ref_account
     * @parmas integer $ref_member
     * @return void
     */
    public function mobileProfileMenu($ref_account, $ref_member)
    {
    }

    /**
     * ͒lւ̃tB^[
     *
     * @access public
     * @parmas mixed $value
     * @parmas mixed $type
     *      All Types: 'string','number','date','email','uri'
     * @return mixed
     */
    public function requestFilter($value, $type)
    {
        return $value;
    }

    /**
     * HTML BODY͗pGtFNg
     *
     * @access public
     * @parmas string $value
     * @return string
     */
    public function requestHtmlBody($string)
    {
        return $string;
    }
} // RKT_plugin
?>
